use strict;
use warnings;

use FindBin;

use lib "$FindBin::Bin/lib";

use Test::More tests => 2;

use Test::MockObject;

{
    package MyApp::Controller::Root;
    use Moose;
    use namespace::autoclean;

    with 'CatalystX::state51::StatusPage';

    __PACKAGE__->meta->make_immutable;
}

my $c = Test::MockObject->new;
my $res = Test::MockObject->new;
my (%headers, $body);
$res->mock(header => sub { shift; my $name = shift; $headers{$name} = shift });
$res->mock(body => sub { shift; $body = shift; });
$c->set_always(response => $res);
$c->set_always('config' => { name => 'SomeAppName' });

my $i = MyApp::Controller::Root->new;

$i->status($c);

is_deeply \%headers, { 'Content-Type' => 'text/plain' };
is $body, 'SomeAppName Version ' . Test::MockObject->VERSION . ' running under platform XYZZY - all is well.';

